<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.123
Name: A_Rijksvaccinatie [informational/all]
Description: COCT_RM900916NL03: Gegevens van rijksvaccinaties en andere vaccinaties. Verschillen met versie 2 zijn: 
                    SubstanceAdministration.moodCode was "EVN", is nu D:ActMood om "nog te geven vaccinaties" toe te staan "EVN" was en is 
                        een werkelijke vaccinatie"RMD" is de aanbeveling tot geven van een vaccinatieVanwege de naamconventies is hierdoor ook SubstanceAdministrationEvent veranderd in SubstanceAdministration
                    SubstanceAdministration.effectiveTime gewijzigd in [0..1] O t.b.v. te-verwachten-vaccinaties
                    SubstanceAdministration.limitation is toegevoegd t.b.v. "Minimale vaccinatiedatum"
                    SubstanceAdministration.location toegevoegd t.b.v. "Toedieningslocatie"
                
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000">
   <title>A_Rijksvaccinatie [informational/all]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]"
         id="tmp-02e44e31-e831-4389-a668-6d4cd753bf04">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']])&gt;=1 and not(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]"
         id="tmp-1091ec0e-cef5-4fb0-ace2-9d9a3b84dc9d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='SBADM' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@moodCode)='EVN' or string(@moodCode)='RMD'">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET één van de volgende codes bevatten: EVN', 'RMD.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string-length(@negationInd)&gt;0 or not(@negationInd)">(A_Rijksvaccinatie-informational-all): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-informational-all): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-informational-all): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@moodCode='RMD' and hl7:effectiveTime)">(A_Rijksvaccinatie-informational-all): 
                    <name/>/@moodCode='RMD' is een te-verwachten-vaccinatie. Alle datumspecificaties MOETEN onder het element limitation</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@moodCode='RMD' and hl7:performer)">(A_Rijksvaccinatie-informational-all): 
                    <name/>/@moodCode='RMD' is een te-verwachten-vaccinatie. Deze KUNNEN GEEN uitvoerende partij hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(.//hl7:lotNumberText and hl7:authorization)">(A_Rijksvaccinatie-informational-all): lotNumberText KAN GEEN waarde bevatten, als er sprake is van bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:location)=0">(A_Rijksvaccinatie-informational-all): element hl7:location MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:templateId
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:templateId"
         id="tmp-ba5c756a-a4c1-459e-b951-dea1337e3f92">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.123'">(A_Rijksvaccinatie-informational-all): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.123' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-c2485f57-07bf-486f-b9b0-0e8e3d71d6aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-all): de elementwaarde MOET zijn code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:effectiveTime
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:effectiveTime"
         id="tmp-4ce15e18-6353-48cc-927b-8baab424d74d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable"
         id="tmp-41c4f8f8-5b8e-46e8-8cf3-ff63497d1bfb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='CSM' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication"
         id="tmp-23a7f49a-b9f7-4f52-9627-671fa2f678fe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='ADMM' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-fb7c699c-9690-4440-b80b-de239258c5e6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-informational-all): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76'])&gt;=1 ">(A_Rijksvaccinatie-informational-all): element hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76'])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76']
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76']"
         id="tmp-343534c3-3caf-4944-b99c-c3a6e4e7f5cb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-informational-all): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-all): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(@code and @displayName) or (@nullFlavor and hl7:originalText)">(A_Rijksvaccinatie-informational-all): 
                                    <name/> MOET @code en @displayName bevatten OF @nullFlavor en originalText</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-6be5ef59-3ca2-41e1-b138-92dfd5b12b2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]]
Item: (A_Rijksvaccinatie-informational-all)
-->
<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]]"
         id="tmp-c1552aeb-ce84-40eb-8d62-eae814de878d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:location
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:location"
         id="tmp-b1d03260-ca08-4259-91f1-040e677b6684">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:serviceDeliveryLocation)&gt;=1 and not(hl7:serviceDeliveryLocation/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:serviceDeliveryLocation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:serviceDeliveryLocation)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:serviceDeliveryLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:location/hl7:serviceDeliveryLocation
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:location/hl7:serviceDeliveryLocation"
         id="tmp-979f84c8-8355-436f-b140-46f971acff57">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='SDLOC'">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'SDLOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-9bfd9489-70bf-4aac-97c7-94dfb9284d06">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-informational-all): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 and not(hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent"
         id="tmp-36fd876c-537d-418e-982c-2be8cfde70fb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='CONS' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@negationInd)='true'">(A_Rijksvaccinatie-informational-all): de waarde van @negationInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-6d59ac4f-b459-41e8-86ac-ed92bd94c7e2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-all): de elementwaarde MOET zijn code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-d1e8baa3-c081-4b48-90e4-a1510e92ca57">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent"
         id="tmp-7f84b1b0-80d9-4c66-8384-ba39891c8eba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH'])&gt;=1 ">(A_Rijksvaccinatie-informational-all): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH'])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-86ba4acf-9014-457a-b3db-5f8b8fcdf072">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-informational-all): de elementwaarde MOET zijn code '683' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH']
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH']"
         id="tmp-c38d0de6-78f8-43d4-b287-b7958e092262">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-informational-all): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-all): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@nullFlavor or hl7:originalText)">(A_Rijksvaccinatie-informational-all): Uit privacyoverwegingen is het doorgeven van een bezwaarreden, anders dan "Medisch" of "Principieel", NIET toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-2b0c1486-65cf-4aec-9017-2d23577c9fd4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]])&gt;=1 and not(hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion"
         id="tmp-329b1887-4e3b-4f0d-accc-df18e86370ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion/hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion/hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-93f7cdf7-d2de-4dc4-819b-5494c077f8cd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or (@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')">(A_Rijksvaccinatie-informational-all): de elementwaarde MOET zijn code '30981-5' codeSystem '2.16.840.1.113883.6.1' of code '30980-7' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion/hl7:value
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion/hl7:value"
         id="tmp-84582423-885c-4a82-a1e9-ca2ff6a86406">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
