<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.124
Name: R_AssignedEntityNL [confirmable/location]
Description: R_AssignedEntityNL universal (COCT_MT090000NL) teruggebracht tot een Organisatie-id (verplicht), een Organisatie-naam (optioneel) en een Locatie-aanduiding (verplicht)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000">
   <title>R_AssignedEntityNL [confirmable/location]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]
Item: (R_AssignedEntityNL-confirmable-location)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]"
         id="tmp-a53dd275-e699-4df4-8552-63b2c2880563">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']/@nullFlavor)">(R_AssignedEntityNL-confirmable-location): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(R_AssignedEntityNL-confirmable-location): element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:templateId
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:templateId"
         id="tmp-e0bc879f-84c5-4486-86a8-f6e7e8f2a0af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.124'">(R_AssignedEntityNL-confirmable-location): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.124' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization"
         id="tmp-69802bb5-c192-44b6-a3b6-999973ff91c2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(R_AssignedEntityNL-confirmable-location): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:organizationContains)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:organizationContains komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-5572d975-41b5-4abf-b23b-35c18f2e54f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(R_AssignedEntityNL-confirmable-location): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:name
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:name"
         id="tmp-a6d0c8d6-df71-4f01-a6a2-1c64dd1942fe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:organizationContains
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:organizationContains"
         id="tmp-54806faa-5ec7-4776-9c02-7ba61077919b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@classCode)='PART'">(R_AssignedEntityNL-confirmable-location): de waarde van @classCode MOET 'PART' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:partOrganization)&gt;=1 and not(hl7:partOrganization/@nullFlavor)">(R_AssignedEntityNL-confirmable-location): element hl7:partOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:partOrganization)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:partOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:organizationContains/hl7:partOrganization
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:organizationContains/hl7:partOrganization"
         id="tmp-90af6760-befc-45a2-b702-ab4bd99091e9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@classCode)='ORG'">(R_AssignedEntityNL-confirmable-location): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(R_AssignedEntityNL-confirmable-location): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(R_AssignedEntityNL-confirmable-location): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:organizationContains/hl7:partOrganization/hl7:id
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:organizationContains/hl7:partOrganization/hl7:id"
         id="tmp-e88f9060-263f-4264-82bb-cb49bc9fadd5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@nullFlavor)='NA'">(R_AssignedEntityNL-confirmable-location): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:organizationContains/hl7:partOrganization/hl7:name
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization/hl7:organizationContains/hl7:partOrganization/hl7:name"
         id="tmp-c7d71f70-1710-4138-ba35-ab5ddcd48262">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130626T003734/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
